<?php
/* Notifications in customizer */
require get_template_directory() . '/inc/customizer/customizer-notify.php';
$pet_bazaar_config_customizer = array(
	'recommended_plugins'       => array(
		'woocommerce' => array(
			'recommended' => true,
			'description' => sprintf(__('Install and activate <strong>WooCommerce</strong> plugin for taking full advantage of all the features this theme has to offer.', 'pet-bazaar')),
		),
		'ecommerce-companion' => array(
			'recommended' => true,
			'description' => sprintf(__('Install and activate <strong>eCommerce Companion</strong> plugin for taking full advantage of all the features this theme has to offer.', 'pet-bazaar')),
		)
	),
	'recommended_actions'       => array(),
	'recommended_actions_title' => esc_html__( 'Recommended Actions', 'pet-bazaar' ),
	'recommended_plugins_title' => esc_html__( 'Recommended Plugin', 'pet-bazaar' ),
	'install_button_label'      => esc_html__( 'Install and Activate', 'pet-bazaar' ),
	'activate_button_label'     => esc_html__( 'Activate', 'pet-bazaar' ),
	'pet_bazaar_deactivate_button_label'   => esc_html__( 'Deactivate', 'pet-bazaar' ),
);
Pet_Bazaar_Customizer_Notify::init( apply_filters( 'pet_bazaar_customizer_notify_array', $pet_bazaar_config_customizer ) );



class pet_bazaar_import_dummy_data {

	private static $instance;

	public static function init( ) {
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof pet_bazaar_import_dummy_data ) ) {
			self::$instance = new pet_bazaar_import_dummy_data;
			self::$instance->pet_bazaar_setup_actions();
		}

	}

	/**
	 * Setup the class props based on the config array.
	 */
	

	/**
	 * Setup the actions used for this class.
	 */
	public function pet_bazaar_setup_actions() {

		// Enqueue scripts
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'pet_bazaar_import_customize_scripts' ), 0 );

	}
	
	

	public function pet_bazaar_import_customize_scripts() {

	wp_enqueue_script( 'pet-bazaar-import-customizer-js', get_template_directory_uri() . '/inc/customizer/assets/js/import-customizer.js', array( 'customize-controls' ) );
	}
}

$pet_bazaar_import_customizers = array(

		'import_data' => array(
			'recommended' => true,
			
		),
);
pet_bazaar_import_dummy_data::init( apply_filters( 'pet_bazaar_import_customizer', $pet_bazaar_import_customizers ) );